<?php

namespace App\Modules\HtlUsage\Domain;

class HtlUsageLock {

    public const ANSWER_NO = 1;
    public const ANSWER_YES = 2;

    private int $value;

    public function __construct(int $value) {
        $values = [self::ANSWER_NO, self::ANSWER_YES];
        $this->value = in_array($value, $values) ? $value : $values[0];
    }

    public function getValue() { return $this->value; }
}